Overview | Modules | Class Hierarchy | Classes | Members

Classes | Namespaces | Defines | Enumerations
WithParameter.h File Reference
`#include <string>`
`#include <typeinfo>`
`#include <tulip/tulipconf.h>`
`#include <tulip/Iterator.h>`
`#include <tulip/DataSet.h>`
Include dependency graph for WithParameter.h:
This graph shows which files directly or indirectly include this file:

## Classes

- class tlp::ParameterDescription
    Describes a parameter with a type, default value, whether or not is it mandatory and a help string describing what this parameter should be used for. More...
- struct tlp::ParameterDescriptionList
    This class describes parameters taken by a plugin. More...
- struct tlp::WithParameter
    This class describes parameters on a plug-in. More...

## Namespaces

- namespace tlp

## Defines

- #define HTML_HELP_OPEN()
- #define HTML_HELP_DEF(A, B) "<tr><td><b>" A "</b></td><td><FONT COLOR=\"red\">" B "</td></tr>"
- #define HTML_HELP_BODY() "</table></td><td>"
- #define HTML_HELP_CLOSE() "</td></tr></table>"

## Enumerations

- enum tlp::ParameterDirection { tlp::IN_PARAM = 0, tlp::OUT_PARAM = 1, tlp::INOUT_PARAM = 2 }

Tulip Software by LaBRI Visualization Team 2001 - 2012